<?php
/**
 * StandortApiTest
 * PHP version 7.4
 *
 * @category Class
 * @package  SLIS\Adapter\Hub
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * slis hub
 *
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.7.4
 * Contact: dev@slis.io
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 6.1.0-SNAPSHOT
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace SLIS\Adapter\Hub\Test\Api;

use \SLIS\Adapter\Hub\Configuration;
use \SLIS\Adapter\Hub\ApiException;
use \SLIS\Adapter\Hub\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * StandortApiTest Class Doc Comment
 *
 * @category Class
 * @package  SLIS\Adapter\Hub
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class StandortApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass(): void
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp(): void
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown(): void
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass(): void
    {
    }

    /**
     * Test case for apiStandortsNetzwerkesGetSubresourceStandortSubresource
     *
     * Retrieves a Standort resource..
     *
     */
    public function testApiStandortsNetzwerkesGetSubresourceStandortSubresource()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for deleteStandortItem
     *
     * Removes the Standort resource..
     *
     */
    public function testDeleteStandortItem()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for getStandortCollection
     *
     * Retrieves the collection of Standort resources..
     *
     */
    public function testGetStandortCollection()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for getStandortItem
     *
     * Retrieves a Standort resource..
     *
     */
    public function testGetStandortItem()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }

    /**
     * Test case for postStandortCollection
     *
     * Creates a Standort resource..
     *
     */
    public function testPostStandortCollection()
    {
        // TODO: implement
        $this->markTestIncomplete('Not implemented');
    }
}
